# OgreMemorySTLAllocator.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

template<typename T, typename T2, typename P>
bool | operator== (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename P, typename OtherAllocator>
bool | operator== (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename T2, typename P>
bool | operator!= (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)
template<typename T, typename P, typename OtherAllocator>
bool | operator!= (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++)

## Function Documentation

template<typename T, typename P, typename OtherAllocator>
bool Ogre::operator!= | ( | STLAllocator< T, P > const & | ,
|  | OtherAllocator const & |
| ) |

| determine equality, can memory from another allocator be released by this allocator, (ISO C++) Definition at line 182 of file OgreMemorySTLAllocator.h.

template<typename T, typename T2, typename P>
bool Ogre::operator!= | ( | STLAllocator< T, P > const & | ,
|  | STLAllocator< T2, P > const & |
| ) |

| determine equality, can memory from another allocator be released by this allocator, (ISO C++) Definition at line 172 of file OgreMemorySTLAllocator.h.

template<typename T, typename P, typename OtherAllocator>
bool Ogre::operator== | ( | STLAllocator< T, P > const & | ,
|  | OtherAllocator const & |
| ) |

| determine equality, can memory from another allocator be released by this allocator, (ISO C++) Definition at line 164 of file OgreMemorySTLAllocator.h.

template<typename T, typename T2, typename P>
bool Ogre::operator== | ( | STLAllocator< T, P > const & | ,
|  | STLAllocator< T2, P > const & |
| ) |

| determine equality, can memory from another allocator be released by this allocator, (ISO C++) Definition at line 154 of file OgreMemorySTLAllocator.h. Referenced by Ogre::Quaternion::operator!=(), and Ogre::Matrix3::operator!=().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009